load('/model/produto/preco/AtualizadorAbcPharma.js');

var mapper = mapperFactory.createMapperMult(['EstProdPrecoTblHist']);
var tblHist = mapper.selectOne('EstProdPrecoTblHist.listarTlbPreco', {'flagProcessado': 2, 'origArq': 5, 'flagUncomited': 1});
try{
    var abc = new AtualizadorAbcPharma();

    try {

        java.lang.System.out.println("=============  PROCESSANDO ABC FARMA========");
        abc.processar(tblHist);
        abc.mapper.commit();

    } catch (err) {
        java.lang.System.out.println(err);
        abc.mapper.rollback();
        mapper.update('EstProdPrecoTblHist.alterarEstProdPrecoTblHist', {'flagProcessado': 4, 'cdEmp': tblHist.get('cdEmp'), 'cdCtr':tblHist.get('cdCtr')});
        mapper.commit();
    }

}catch(err){
    java.lang.System.out.println("Configurar parametros de empresa para Download AbcFarma");
}